Subject: bug#48099: closed (Re: [bug#48099] [PATCH] gnu: Add python-django-3.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 May 2021 19:32:01 +0000

Your bug report

#48099: [PATCH] gnu: Add python-django-3.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48099: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48099
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#48099] [PATCH] gnu: Add python-django-3.2.
From: Efraim Flashner <[email-masked]>
To: Roel Janssen <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 May 2021 22:30:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Apr 29, 2021 at 01:06:47PM +0200, Roel Janssen wrote:
> Hi Guix,
> 
> I attached a recipe for python-django-3.2.  I haven't tested it beyond
> building it (which includes running the test suite),
> so it'd be great to keep version 3.1.8 and let version 3.2 inherit from that
> package.
> 
> Kind regards,
> Roel Janssen
> 

Marius pushed a similar patch as
249fb4a30345f6687645911bb22cbf43548b4c4d updating python-django to
3.2.1, and then making some changes to the packages.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: Add python-django-3.2.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Thu, 29 Apr 2021 13:06:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I attached a recipe for python-django-3.2.  I haven't tested it beyond 
building it (which includes running the test suite),
so it'd be great to keep version 3.1.8 and let version 3.2 inherit from 
that package.

Kind regards,
Roel Janssen

>From f591c97292f04caccc1c23f484a0f439dcec0cdd Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Thu, 29 Apr 2021 13:02:10 +0200
Subject: [PATCH] gnu: Add python-django-3.2.

* gnu/packages/django.scm (python-django-3.2): New variable.
---
 gnu/packages/django.scm | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/gnu/packages/django.scm b/gnu/packages/django.scm
index dfc3d314ad..916dc68105 100644
--- a/gnu/packages/django.scm
+++ b/gnu/packages/django.scm
@@ -129,6 +129,17 @@ to the @dfn{don't repeat yourself} (DRY) principle.")
     (license license:bsd-3)
     (properties `((cpe-name . "django")))))
 
+(define-public python-django-3.2
+  (package (inherit python-django)
+   (name "python-django")
+   (version "3.2")
+   (source (origin
+            (method url-fetch)
+            (uri (pypi-uri "Django" version))
+            (sha256
+             (base32
+              "179qdxa438fnycnnf1j5z6359h1kbp2q7djf01v5jrr26xjgkw11"))))))
+
 (define-public python-django-2.2
   (package
     (inherit python-django)
-- 
2.31.1